## Update event `client.WaitingRooms.Events.Update(ctx, waitingRoomID, eventID, params) (*Event, error)` **put** `/zones/{zone_id}/waiting_rooms/{waiting_room_id}/events/{event_id}` Updates a configured event for a waiting room. ### Parameters - `waitingRoomID string` - `eventID string` - `params EventUpdateParams` - `ZoneID param.Field[string]` Path param: Identifier. - `EventQuery param.Field[EventQuery]` Body param ### Returns - `type Event struct{…}` - `ID string` - `CreatedOn Time` - `CustomPageHTML string` If set, the event will override the waiting room's `custom_page_html` property while it is active. If null, the event will inherit it. - `Description string` A note that you can use to add more details about the event. - `DisableSessionRenewal bool` If set, the event will override the waiting room's `disable_session_renewal` property while it is active. If null, the event will inherit it. - `EventEndTime string` An ISO 8601 timestamp that marks the end of the event. - `EventStartTime string` An ISO 8601 timestamp that marks the start of the event. At this time, queued users will be processed with the event's configuration. The start time must be at least one minute before `event_end_time`. - `ModifiedOn Time` - `Name string` A unique name to identify the event. Only alphanumeric characters, hyphens and underscores are allowed. - `NewUsersPerMinute int64` If set, the event will override the waiting room's `new_users_per_minute` property while it is active. If null, the event will inherit it. This can only be set if the event's `total_active_users` property is also set. - `PrequeueStartTime string` An ISO 8601 timestamp that marks when to begin queueing all users before the event starts. The prequeue must start at least five minutes before `event_start_time`. - `QueueingMethod string` If set, the event will override the waiting room's `queueing_method` property while it is active. If null, the event will inherit it. - `SessionDuration int64` If set, the event will override the waiting room's `session_duration` property while it is active. If null, the event will inherit it. - `ShuffleAtEventStart bool` If enabled, users in the prequeue will be shuffled randomly at the `event_start_time`. Requires that `prequeue_start_time` is not null. This is useful for situations when many users will join the event prequeue at the same time and you want to shuffle them to ensure fairness. Naturally, it makes the most sense to enable this feature when the `queueing_method` during the event respects ordering such as **fifo**, or else the shuffling may be unnecessary. - `Suspended bool` Suspends or allows an event. If set to `true`, the event is ignored and traffic will be handled based on the waiting room configuration. - `TotalActiveUsers int64` If set, the event will override the waiting room's `total_active_users` property while it is active. If null, the event will inherit it. This can only be set if the event's `new_users_per_minute` property is also set. - `TurnstileAction EventTurnstileAction` If set, the event will override the waiting room's `turnstile_action` property while it is active. If null, the event will inherit it. - `const EventTurnstileActionLog EventTurnstileAction = "log"` - `const EventTurnstileActionInfiniteQueue EventTurnstileAction = "infinite_queue"` - `TurnstileMode EventTurnstileMode` If set, the event will override the waiting room's `turnstile_mode` property while it is active. If null, the event will inherit it. - `const EventTurnstileModeOff EventTurnstileMode = "off"` - `const EventTurnstileModeInvisible EventTurnstileMode = "invisible"` - `const EventTurnstileModeVisibleNonInteractive EventTurnstileMode = "visible_non_interactive"` - `const EventTurnstileModeVisibleManaged EventTurnstileMode = "visible_managed"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/waiting_rooms" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) event, err := client.WaitingRooms.Events.Update( context.TODO(), "699d98642c564d2e855e9661899b7252", "25756b2dfe6e378a06b033b670413757", waiting_rooms.EventUpdateParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), EventQuery: waiting_rooms.EventQueryParam{ EventEndTime: cloudflare.F("2021-09-28T17:00:00.000Z"), EventStartTime: cloudflare.F("2021-09-28T15:30:00.000Z"), Name: cloudflare.F("production_webinar_event"), }, }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", event.ID) } ``` #### Response ```json { "result": { "id": "25756b2dfe6e378a06b033b670413757", "created_on": "2014-01-01T05:20:00.12345Z", "custom_page_html": "{{#waitTimeKnown}} {{waitTime}} mins {{/waitTimeKnown}} {{^waitTimeKnown}} Event is prequeueing / Queue all enabled {{/waitTimeKnown}}", "description": "Production event - DO NOT MODIFY", "disable_session_renewal": true, "event_end_time": "2021-09-28T17:00:00.000Z", "event_start_time": "2021-09-28T15:30:00.000Z", "modified_on": "2014-01-01T05:20:00.12345Z", "name": "production_webinar_event", "new_users_per_minute": 200, "prequeue_start_time": "2021-09-28T15:00:00.000Z", "queueing_method": "random", "session_duration": 1, "shuffle_at_event_start": true, "suspended": true, "total_active_users": 200, "turnstile_action": "log", "turnstile_mode": "off" } } ```